<?php
try
{
 // --- connexion de la base de données ---
 $bdd = new PDO('mysql:host=localhost;dbname=CoursPHP','root','mot_de_passe');
 // suite des requêtes sur la base et les tables
 echo "La base est connectée".PHP_EOL;
 
 //$bdd->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
 $requete_sql = 'select * from tabledetest';
 $reponse = $bdd->query($requete_sql);
 if (!$reponse)
    throw new Exception('Problème Accès à la table.');

 echo "La requête a fonctionné".PHP_EOL;
}
catch(Exception $e)
{
 // --- on affiche un message d'erreur ---
 echo 'Problème Accès à la base de données'.PHP_EOL;
 echo 'Message : '.$e->getMessage().PHP_EOL;
 echo 'Code : '.$e->getCode().PHP_EOL;
 echo "--> errorInfo : e <---".PHP_EOL;
 print_r($e->errorInfo);
 echo "--> PDO::errorInfo : bdd <---".PHP_EOL;
 print_r($bdd->errorInfo());
 echo "--> PDOStatement::errorInfo : table <---".PHP_EOL;
 print_r($reponse->errorInfo());
}
?>
